"Internal" class for holding an include/exclude pattern.

package | phing.types

### Methods

## Evaluates the pattern.

    evalName(\Project $project) : string

### Parameters

#### $project

### Returns

`string`The pattern or null if it is ruled out by a condition.

## Get the pattern text.

    getName() : string

### Returns

`string`The pattern.

## Sets an if-condition property for this pattern to match.

    setIf(string $cond)

### Parameters

#### $cond

`string`

## Set the pattern text.

    setName(string $name)

### Parameters

#### $name

`string`

The pattern

## An alias for the setName() method.

    setPattern(string $pattern)

see | \global\setName()

### Parameters

#### $pattern

`string`

## Sets an unless-condition property for this pattern to match.

    setUnless(string $cond)

### Parameters

#### $cond

`string`

## Gets a string representation of this pattern.

    toString() : string

### Returns

`string`

## Checks whether pattern should be applied based on whether the if and unless properties are set in project.

    valid(\Project $project) : boolean

### Parameters

#### $project

`\Project`

### Returns

`boolean`

### Properties

##

    $ifCond : string

##

    $name : string

##

    $unlessCond : string